## Shared module ##
Overview = require 'overview'

grid.image = null

Overview.gridHeightForiPhone5 = 180
Overview.gridHeightForiPhone6 = 220
Overview.scaleForiPhone6 = 0.9
Overview.scaleForiPhone5 = 0.75

## SCROLL COMPONENT ##
page = new ScrollComponent
	size: grid.size
	scrollVertical: no
	parent: grid

# Add spacing
page.contentInset = 
	left: 10
	right: 10

# 40 layers
for i in [0..39]
	layer = new Layer
		width: 55
		height: page.height - 20
		borderRadius: 4
		backgroundColor: "#fff"
		x: 65 * i
		y: 10
		parent: page.content

## EVENTS LISTS ##
eventsLists = [
	{
	color: Overview.teal
	lists: [{
				title: "Scroll"
				items: ["onScrollStart","onScroll","onScrollEnd"]
			}]
	}
	{
	color: Overview.purple
	lists: [{
				title: "Scroll animation"
				items: ["onScrollAnimationDidStart","onScrollAnimationDidEnd"]
			}
			{
				title: "Other"
				items: ["onMove"]
			}]
	}
]

Overview.makeEventsLists eventsLists

Overview.reflow()

## Fix a few things for phones ##
if Utils.isPhone() or (Framer.Device.deviceType.substring 0, 12) is "apple-iphone"
	page.width = grid.width
	
	for layer in page.content.children
		layer.destroy()
	
	if Screen.height is 667
		for i in [0..39]
			layer = new Layer
				width: 54
				height: page.height - 20
				borderRadius: 4
				backgroundColor: "#fff"
				x: 64 * i
				y: 10
				parent: page.content
	
	else if Screen.height < 667
# 		grid.height = 170
		page.height = grid.height
		
		for layer in page.content.children
			layer.destroy()
		
		# recreate 10 layers
		for i in [0..9]
			layer = new Layer
				width: 57.5
				height: page.height - 20
				borderRadius: 4
				backgroundColor: "#fff"
				x: 67.5 * i
				y: 10
				parent: page.content

grid.borderWidth = 0

## EVENTS ##
page.onScrollStart ->
	Overview.alldots[0].stateSwitch "active"
	Overview.alldots[0].animate "default"

page.onScroll ->
	Overview.alldots[1].stateSwitch "active"
	Overview.alldots[1].animate "default"

page.onScrollEnd ->
	Overview.alldots[2].stateSwitch "active"
	Overview.alldots[2].animate "default"

page.onScrollAnimationDidStart ->
	Overview.alldots[3].stateSwitch "active"
	Overview.alldots[3].animate "default"

page.onScrollAnimationDidEnd ->
	Overview.alldots[4].stateSwitch "active"
	Overview.alldots[4].animate "default"

page.onMove ->
	Overview.alldots[5].stateSwitch "active"
	Overview.alldots[5].animate "default"
